DELETE/api/v1/shops/markets/remove

Delete Marketfrom Shop

Remove markets from a shop

This DELETE method helps the users to remove markets or routes from a shop. One or multiple markets can be removed from the shop by using the shop ID.

DELETE/api/v1/shops/markets/remove

Parameter Details

NameInTypeRequiredDescription
bodybodyobjectRequirednone
» shopNamebodystringRequiredThe name of the shop
» marketsbody[string]RequiredThe markets to remove

Responses

StatusMeaningDescriptionSchema
200OKMarkets removed successfully
400Bad RequestInvalid request
401UnauthorizedAuthentication Failed!None
404Not FoundShop not found or already deleted
429Too Many RequestsToo Many Requests.None
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X DELETE https://api.flightrates.example.com/api/v1/shops/markets/remove \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: API_KEY'

Body parameter

{
  "shopName": "Flightshop name",
  "markets": [
    "CCUDEL",
    "DELCCU",
    "MAADEL"
  ]
}

Example responses

200 Response
{
  "error": false,
  "message": "Markets (ODs) removed successfully."
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.